/* Edit this file in -*- c -*- mode. */

/* Open Digita Services  --  Camera Device Protocol definitions.

   Copyright (C) 1998 James C. Thompson

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2 of the License, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
   more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc., 59
   Temple Place - Suite 330, Boston, MA 02111-1307, USA. */

#if !defined(_wire_h_)
#define _wire_h_

#include "camera.h"

/* Start Editing Here: */

int read_beacon(int, ODSBeacon *);
void swap_beacon(ODSBeacon *);
void dump_beacon(ODSBeacon *);
int check_beacon(ODSBeacon *);

int write_beacon_ack(int, ODSBeaconAck *);
void swap_beacon_ack(ODSBeaconAck *);
void dump_beacon_ack(ODSBeaconAck *);
void prepare_beacon_ack(ODSBeaconAck *);

int read_beacon_comp(int, ODSBeaconComp *);
void swap_beacon_comp(ODSBeaconComp *);
void dump_beacon_comp(ODSBeaconComp *);

ODSResult read_ptvs(ODSCamera, PNameTypeValueStruct *);
void dump_ptvs(PNameTypeValueStruct *);
ODSResult write_filename(ODSCamera, const FileNameStruct *filename);
ODSResult read_fileitem(ODSCamera, ResFileItem *fileitem);
ODSResult write_partialtag(ODSCamera camera, const PartialTag *partialtag);
ODSResult read_partialtag(ODSCamera camera, PartialTag *partialtag);

#endif /* _wire_h_ */
       /* Do not add anything below this line! */
